import StrKit from '@/utils/str-kit'

const MoneyFormat = {
  /**
   * 功能描述：格式化金额字段
   * 使用方式
   * {{item.bidAmount | moneyFormat}}
   *
   * @param number 金额
   * @param places 小数点位数
   * @param symbol 货币符号
   * @param thousand 千分位符号
   * @param decimal
   * @returns {string}
   */
  moneyFormat(number, places, symbol, thousand, decimal) {
    return StrKit.moneyFormat(number, places, symbol, thousand, decimal)
  },

  // 全局安装器
  install(Vue) {
    Vue.filter('moneyFormat', this.moneyFormat)
  }
}

export default MoneyFormat
